<script>

import { RouterLink, RouterView } from 'vue-router'
import Header from './components/Header.vue'
import Tasks from './components/Tasks.vue'
import AddTask from './components/AddTask.vue'
import Button from './components/Button.vue';

export default {
  name: 'App',
  components: {
    Header,
    
  },
  data(){
    return {
      tasks: []
    }
  },
  components: {
    Button,
    AddTask
  },
  methods: {
    
    async toggleTask(task_id){

      const currentTask = await this.fetchTask(task_id)
      
      const updatedTask = {...currentTask , state: !currentTask.state};

      const response = await fetch(`api/tasks/${task_id}`,{
        method: 'PUT',
        headers: {
          'Content-type': 'application/json'
        },
        body: JSON.stringify(updatedTask)
      }
      )

      this.tasks = [
        ...this.tasks.map(task=> {
          if(task.id == task_id){
            return {...task , state: !task.state}
          }
          return task
        })
      ]

    },
  },
  


}

</script>

<template>
  <div class="container">

    <Header title="Good night" />
      <div>
        Hey, Good morning
        
      </div>
      <hr  />

      <router-view />
      
  </div>

  
</template>

<style scoped>
   .container{
  background-color: cyan;
  width: 50%;
  margin: 0 auto;
  padding: 1rem 2rem;
  border: 0.05rem solid black;
 }
 .btn{
  background-color: lightblue;
 }
</style>
